# three-gcode-loader

[THREE.GCodeLoader](https://threejs.org/examples/js/loaders/GCodeLoader.js) from the official repo examples repackaged as a node module, with request header and credentials support


# Install

`npm i --save three`

`npm i --save three-gcode-loader`


## Usage

Returns an array of THREE BufferGeometries `[pathGeometry, travelGeometry]`, which represents the print path and the travel path parsed from the gcode file.

```js

import * as THREE from 'three';
import GCodeLoader from 'three-gcode-loader';

var loader = new GCodeLoader()

loader.setRequestHeader({ Authorization: 'Bearer token' });
loader.setWithCredentials(true);

loader.load('https://secured-api/path/to/file.gcode', function (geo) {
  var pathGeo = geo[0];
  var travelGeo = geo[1];
});

```
